## org.irisa.genouest.logol
Class GrammarException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.irisa.genouest.logol.GrammarException

All Implemented Interfaces:
  java.io.Serializable

    public class GrammarException

extends java.lang.Exception

History: 26/03/09 Fix 1271 Add error email

Author:
  osallou
See Also:
  Serialized Form

Constructor Summary
`GrammarException()`
`GrammarException(java.lang.String arg0)`
`GrammarException(java.lang.String arg0, java.lang.Throwable arg1)`
`GrammarException(java.lang.Throwable arg0)`

Method Summary
`static void` `setErrFile(java.lang.String path)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrammarException

    public GrammarException()

### GrammarException

    public GrammarException(java.lang.String arg0)

### GrammarException

    public GrammarException(java.lang.Throwable arg0)

### GrammarException

    public GrammarException(java.lang.String arg0,
                            java.lang.Throwable arg1)

Method Detail

### setErrFile

    public static void setErrFile(java.lang.String path)